Optimize edilmemiş APK

FireMonkey ve Mobil uygulama (iOS, Android, Windows Phone) ile ilgili sorularınızı bu foruma sorabilirsiniz.
Cevapla
Kullanıcı avatarı
ayhandemirtas
Üye
Mesajlar: 114
Kayıt: 01 Oca 2008 10:02
Konum: Eskişehir

Optimize edilmemiş APK

Mesaj gönderen ayhandemirtas » 16 Oca 2020 11:58

Optimize edilmemiş APK
Uyarı:
Bu APK, kullanılmayan kod ve kaynakların kullanıcıya gönderilmesine neden oluyor. Android App Bundle işlevini kullanırsanız uygulamanız daha küçük olabilir. Uygulamanızı cihaz yapılandırmalarına göre optimize etmediğinizden, uygulamanızın kullanıcıların cihazına indirilip yüklendiği boyut, olması gerekenden daha büyük. Büyük boyutlu uygulamaların yüklenme başarı oranı daha düşük olur ve kullanıcıların cihazlarında daha fazla yer kaplarlar.
Çözünürlük:
Cihaz yapılandırmalarını otomatik olarak optimize etmek veya birden fazla APK ile kendiniz yönetmek için Android App Bundle'ı kullanın.

Hatası ile karşılaşan arkadaşımız var mı?
yüklediğim apk 14.3 Mb
Teşekkürler.

mkysoft
Kıdemli Üye
Mesajlar: 3023
Kayıt: 25 Ağu 2003 11:35
Konum: İstanbul
İletişim:

Re: Optimize edilmemiş APK

Mesaj gönderen mkysoft » 17 Oca 2020 09:00

Yeni bir yayınlama standardıymış, şurada bir dokümanı var: http://docwiki.embarcadero.com/RADStudi ... oogle_Play

Kullanıcı avatarı
fesiharslan
Üye
Mesajlar: 591
Kayıt: 20 Eki 2006 10:37
Konum: Erzurum
İletişim:

Re: Optimize edilmemiş APK

Mesaj gönderen fesiharslan » 17 Oca 2020 10:03

Merhaba,
Mevcut projenizi .aab olarak derleyip Google Play'e göndermek için aşağıdaki konu başlığına göz atabilirsiniz.
Android App Bundle

Kullanıcı avatarı
ayhandemirtas
Üye
Mesajlar: 114
Kayıt: 01 Oca 2008 10:02
Konum: Eskişehir

Re: Optimize edilmemiş APK

Mesaj gönderen ayhandemirtas » 17 Oca 2020 07:21

Herkese teşekkür ederim. Hemen deneyip çözümü buradan geçerim.

Kullanıcı avatarı
ayhandemirtas
Üye
Mesajlar: 114
Kayıt: 01 Oca 2008 10:02
Konum: Eskişehir

Re: Optimize edilmemiş APK

Mesaj gönderen ayhandemirtas » 19 Oca 2020 10:28

Evet, 64-Bit problemi yaşadığımı ve kullandığım sürümün yetersiz olduğunu anladım. Delphi nin 64-Bit destekleyen sürümünü temin etmeye çalışıyorum.
Bir müddet sona döneceğim

Cevapla